<?php
/**
 * The template for displaying Comments
 *
 * The area of the page that contains comments and the comment form.
 *
 * @package ws-templates.com
 * @subpackage Supra
 * @since Supra 1.0
 */


if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>

	<h3 class="comments-title">
		<?php global $translation;
		
	$ccomment_title = (!empty($translation['comments'])) ? $translation['comments'] : "Comments" ;
			echo $ccomment_title;
		  ?>
	</h3>

	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
	<nav id="comment-nav-above" class="navigation comment-navigation" role="navigation">
		<h1 class="screen-reader-text">make comment navigation title</h1>
		<div class="nav-previous"><?php previous_comments_link( $translation['previous'] ); ?></div>
		<div class="nav-next"><?php next_comments_link($translation['next'] ); ?></div>
	</nav><!-- #comment-nav-above -->
	<?php endif; // Check for comment navigation. ?>

	<ol class="comment-list">
		<?php
			wp_list_comments( array(
				'style'      => 'ol',
				'short_ping' => true,
				'avatar_size'=> 50,
			) );
		?>
	</ol><!-- .comment-list -->

	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
	<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
		<h1 class="screen-reader-text">make Comment navigation</h1>
		<div class="nav-previous"><?php previous_comments_link('&larr; Older Comments'); ?></div>
		<div class="nav-next"><?php next_comments_link( 'Newer Comments &rarr;' ); ?></div>
	</nav><!-- #comment-nav-below -->
	<?php endif; // Check for comment navigation. ?>

	<?php if ( ! comments_open() ) : ?>
	<p class="no-comments">Comments are closed</p>
	<?php endif; ?>

	<?php endif; // have_comments() 
	$use_tags = (!empty($translation['use_tags'])) ? $translation['use_tags'] : "you may use these tags" ;
	?>
	
	<?php comment_form(array('comment_notes_after'=>'<p class="form-allowed-tags">'.$use_tags.' :<pre>' . allowed_tags() . '</pre></p>'));?>
</div><!-- #comments -->
